Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleMatch

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.SimpleMatch

All Implemented Interfaces:
  Match, XmlSerializable

public class SimpleMatch
extends java.lang.Object
implements Match

SimpleMatch is the most concrete form of pbm:Match - it allows an evaluator to compare to resources based on a single property value. Instances of SimpleMatch cannot have subexpressions

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleMatch(WsResource resource, org.w3c.dom.Element xml)`
`SimpleMatch(WsResource resource, QName propertyQName)`

Method Summary
`void` | `addMatch(Match child)` This method always throws an UnsupportedOperationException, because simple PBMs can't have children.
`java.util.List` | `getMatches()`
`QName` | `getPropertyQName()`
`WsResource` | `getWsResource()`
`boolean` | `matches(EndpointReference epr)`
`void` | `removeMatch(Match child)` This method always throws an UnsupportedOperationException, because simple PBMs can't have children.
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMatch

    public SimpleMatch(WsResource resource,
                       org.w3c.dom.Element xml)

Parameters:
  `resource` - The resource that is defining the CorrelatableProperties capability and thus, this correlation expression.
  `xml` - The DOM Element representing the simple pbm:Match.

### SimpleMatch

    public SimpleMatch(WsResource resource,
                       QName propertyQName)

Parameters:
  `resource` - The resource that is defining the CorrelatableProperties capability and thus, this correlation expression.
  `propertyQName` - The name of the property to compare between the two resources.

Method Detail

### addMatch

    public void addMatch(Match child)

  This method always throws an UnsupportedOperationException, because simple PBMs can't have children.

  Specified by:
    `addMatch` in interface `Match`
  Parameters:
    `child` - A subexpression that must be evaluated as part of this larger expression.

### getMatches

    public java.util.List getMatches()

  Specified by:
    `getMatches` in interface `Match`
  Returns:
    An ordered list of subexpressions in this Match. If there are no subexpressions, the list is empty.

### getPropertyQName

    public QName getPropertyQName()

  Returns:
    The name of the property that is used during evaluation.

### getWsResource

    public WsResource getWsResource()

  Specified by:
    `getWsResource` in interface `Match`
  Returns:
    The local resource that is defining the CorrelatableProperties capability and, thus, this correlation expression.

### matches

    public boolean matches(EndpointReference epr)
                    throws SoapFault

  Specified by:
    `matches` in interface `Match`
  Parameters:
    `epr` - The EPR to another resource which may be the same as this resource.
  Returns:
    True if the two resources are the same according to the conditional test executed by the Match.
  Throws:
    `SoapFault`

### removeMatch

    public void removeMatch(Match child)

  This method always throws an UnsupportedOperationException, because simple PBMs can't have children.

  Specified by:
    `removeMatch` in interface `Match`

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD